# PathSensitivity

enum PathSensitivity

Enumeration of different path handling strategies for task properties.

#### Since

3.1

#### See also

PathSensitive

## Entries

ABSOLUTE
Link copied to clipboard
ABSOLUTE

Consider the full path of files and directories.

RELATIVE
Link copied to clipboard
RELATIVE

Use the location of the file related to a hierarchy.

NAME_ONLY
Link copied to clipboard
NAME_ONLY

Consider only the name of files and directories.

NONE
Link copied to clipboard
NONE

Ignore file paths and directories altogether.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): PathSensitivity

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<PathSensitivity>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.